net.minecraft.client.gui

## Class GuiShareToLan

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.GuiShareToLan

-     public class GuiShareToLan
      extends GuiScreen

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, guiParticles, height, isMacOs, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiShareToLan(GuiScreen par1GuiScreen)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
    `void` | `initGui()` Adds the buttons (and other controls) to the screen in question.

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiShareToLan

          public GuiShareToLan(GuiScreen par1GuiScreen)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Adds the buttons (and other controls) to the screen in question.
      Overrides:
        `initGui` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Draws the screen and all the components in it.
      Overrides:
        `drawScreen` in class `GuiScreen`